Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography Library 1.84
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.bouncycastle.asn1.cmc
Class DecryptedPOP

    java.lang.Object
      org.bouncycastle.asn1.ASN1Object
          org.bouncycastle.asn1.cmc.DecryptedPOP

All Implemented Interfaces:
  ASN1Encodable, Encodable

public class DecryptedPOP
extends ASN1Object

id-cmc-decryptedPOP OBJECT IDENTIFIER ::= {id-cmc 10} DecryptedPOP ::= SEQUENCE { bodyPartID BodyPartID, thePOPAlgID AlgorithmIdentifier, thePOP OCTET STRING }

Constructor Summary
`DecryptedPOP(BodyPartID bodyPartID, AlgorithmIdentifier thePOPAlgID, byte[] thePOP)`

Method Summary
`BodyPartID` | `getBodyPartID()`
`static DecryptedPOP` | `getInstance(java.lang.Object o)`
`byte[]` | `getThePOP()`
`AlgorithmIdentifier` | `getThePOPAlgID()`
`ASN1Primitive` | `toASN1Primitive()` Method providing a primitive representation of this object suitable for encoding.

Methods inherited from class org.bouncycastle.asn1.ASN1Object
`encodeTo, encodeTo, equals, getEncoded, getEncoded, hasEncodedTagValue, hashCode`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DecryptedPOP

    public DecryptedPOP(BodyPartID bodyPartID,
                        AlgorithmIdentifier thePOPAlgID,
                        byte[] thePOP)

Method Detail

### getInstance

    public static DecryptedPOP getInstance(java.lang.Object o)

### getBodyPartID

    public BodyPartID getBodyPartID()

### getThePOPAlgID

    public AlgorithmIdentifier getThePOPAlgID()

### getThePOP

    public byte[] getThePOP()

### toASN1Primitive

    public ASN1Primitive toASN1Primitive()

  Description copied from class: `ASN1Object`
  Method providing a primitive representation of this object suitable for encoding.

  Specified by:
    `toASN1Primitive` in interface `ASN1Encodable`
  Specified by:
    `toASN1Primitive` in class `ASN1Object`
  Returns:
    a primitive representation of this object.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography Library 1.84
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD